org.wildfly.swarm.microprofile.jwtauth.deployment.auth.cdi

## Class JsonValueProducer

- java.lang.Object
- - org.wildfly.swarm.microprofile.jwtauth.deployment.auth.cdi.JsonValueProducer

-     public class JsonValueProducer
      extends Object

  A producer for JsonValue injection types

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonValueProducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonArray` | `getJsonArray(InjectionPoint ip)`
    `JsonNumber` | `getJsonNumber(InjectionPoint ip)`
    `JsonObject` | `getJsonObject(InjectionPoint ip)`
    `JsonString` | `getJsonString(InjectionPoint ip)`
    `Optional<JsonArray>` | `getOptionalJsonArray(InjectionPoint ip)`
    `Optional<JsonNumber>` | `getOptionalJsonNumber(InjectionPoint ip)`
    `Optional<JsonObject>` | `getOptionalJsonObject(InjectionPoint ip)`
    `Optional<JsonString>` | `getOptionalJsonString(InjectionPoint ip)`
    `<T extends JsonValue> Optional<T>` | `getOptionalValue(InjectionPoint ip)`
    `<T extends JsonValue> T` | `getValue(InjectionPoint ip)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonValueProducer

          public JsonValueProducer()

  - ### Method Detail

    - #### getJsonString

          public JsonString getJsonString(InjectionPoint ip)

    - #### getOptionalJsonString

          public Optional<JsonString> getOptionalJsonString(InjectionPoint ip)

    - #### getJsonNumber

          public JsonNumber getJsonNumber(InjectionPoint ip)

    - #### getOptionalJsonNumber

          public Optional<JsonNumber> getOptionalJsonNumber(InjectionPoint ip)

    - #### getJsonArray

          public JsonArray getJsonArray(InjectionPoint ip)

    - #### getOptionalJsonArray

          public Optional<JsonArray> getOptionalJsonArray(InjectionPoint ip)

    - #### getJsonObject

          public JsonObject getJsonObject(InjectionPoint ip)

    - #### getOptionalJsonObject

          public Optional<JsonObject> getOptionalJsonObject(InjectionPoint ip)

    - #### getValue

          public <T extends JsonValue> T getValue(InjectionPoint ip)

    - #### getOptionalValue

          public <T extends JsonValue> Optional<T> getOptionalValue(InjectionPoint ip)

Copyright © 2018 JBoss by Red Hat. All rights reserved.